#!/bin/bash
# Printing the .cl files
# $1 - pattern of the file name
# $2 - page orientation (Portrait or Landscape)
# $3 - number of copies

LS=ls
DIRNAME=`dirname "$1"`
BASENAME=`basename "$1"`
GREP='grep -E -i'
WKHTMLTOPDF=/linuxcash/cash/bin/wkhtmltopdf
CAT=cat
LP=lp
PAGE_ORIENTATION=$2
LP_OPTIONS="page-top=15 media=A4 $PAGE_ORIENTATION"
RM='rm -f'
LOG=/linuxcash/logs/current/print.log
DATE=`date`


if [[ ! -e $LOG ]]; then
	touch $LOG
fi

home=`pwd`
cd $DIRNAME
for report in $($LS | $GREP "$BASENAME")
do
	echo $DATE ": Preparing file $report to print">>$LOG
	echo $report
	$CAT $report | $WKHTMLTOPDF -O $PAGE_ORIENTATION - - 2>>$LOG | $LP -n $3 -o "$LP_OPTIONS" - >>$LOG
	echo $DATE ": Printing file $report">>$LOG
	$RM $report
done
cd $home
